<template>
  <view class="content">
    <cc-defineStep colors="#fa436a" :stepData="stepData"></cc-defineStep>
  </view>
</template>

<script>
import {getTaskTechnologicalProcess} from "@/api";

export default {
  data() {
    return {
      stepData: []
    }
  },
  onLoad(query) {
    this.fnGetData(query.taskId)
    uni.setNavigationBarTitle({
      title: query.title + '流程'
    })
  },
  methods: {
    async fnGetData(taskId) {
      let resData = await getTaskTechnologicalProcess({ID: taskId})
      this.stepData = resData.list
    }
  },
}
</script>

<style scoped lang="scss">

</style>
